version: '3.8'

services:
  app:
    image: node:20
    container_name: flowbite-admin-dashboard
    working_dir: /app
    volumes:
      - .:/app
    build:
      context: .
      dockerfile: Dockerfile

  server:
    image: nginx:latest
    container_name: flowbite-admin-server
    ports:
      - "3030:80"
    volumes:
      - ./public:/usr/share/nginx/html
